### Virtual Method

# Gegl Metadata iter_lookup

#### Declaration [src]

    gboolean
    iter_lookup (
      GeglMetadata* metadata,
      GeglMetadataIter* iter,
      const gchar* key
    )

#### Description [src]

Look up the specified key and initialise an iterator to reference the associated metadata. The iterator is used in conjunction with `gegl_metadata_set_value()` and gegl_metadata_get_value(). Note that this iterator is not valid for gegl_metadata_iter_next().

#### Parameters

`iter`

  Type: `GeglMetadataIter`

  `GeglMetadataIter` to be initialised.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  Name of the value look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if key is found.